CHPASSWD(8)

NAME
chpasswd - update password file in batch

SYNOPSIS
chpasswd

DESCRIPTION
chpasswd reads a file of user name and cleartext password pairs from standard input and uses this information to update a group of existing users. Each line is of the format

      user_name:password

The named user must exist. The supplied password will be encrypted and the password age updated, if present.

This command is intended to be used in a large system environment where many accounts are created at a single time.

CAVEATS
The input file must be protected since it contains unencrypted passwords. This command may be discarded in favor of the newusers(8) command.

SEE ALSO
passwd(1), useradd(8), newusers(8)

AUTHOR
Julianne Frances Haugh (jfh@tab.com)